Subject: Re: bug#7800: automake fails to honor `-d' in AM_YFLAGS when variable expansions are involved

From: Stefano Lattarini <[email-masked]>
Date: Fri, 7 Jan 2011 20:39:31 +0100

On Friday 07 January 2011, Ralf Wildenhues wrote:
> Hi Stefano,
> 
> thanks for the report.
> 
> * Stefano Lattarini wrote on Fri, Jan 07, 2011 at 03:36:43PM CET:
> > Currently, automake is not smart enough to resolve variable expansions
> > in AM_YFLAGS (or foo_YFLAGS) when scanning them for the `-d' flag.
> 
> value_as_list_recursive can usually help here.
> 
> > Not sure if this bug is worth fixing, but having it reported in the bug
> > database won't hurt, either (and I might anyway attempt a fix soonish).
> 
> The usual complication is what to do if
> - the variable is overridden at 'make' time (automake usually punts in
>   that case),
> - the variable is conditionally set (this usually requires making the
>   automake code more complex to solve).
>
Currently, automake errors out if AM_YFLAGS is conditinally defined --
a behaviour I'd like to preserve.

BTW, currently it doesn't warn (unfortunately) about something like:

  AM_YFLAGS = -v
  if COND
  AM_YFLAGS += -d
  endif COND

a behaviour I'd like to fix (but that's for another thread anyway).

> Punting also for the latter is fine if the feature is expected to be
> little-used.
>
IMHO that's fine also because the feature didn't work before anyway.

Thanks,
  Stefano